Bug 35817 - emacs-20.7-34 doesn't build on RHL62
emacs-20.7-34 doesn't build on RHL62
Product: Red Hat Raw Hide
Classification: Retired
Component: emacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-04-12 12:44 EDT by Pekka Savola
Modified: 2007-04-18 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-12 12:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-04-12 12:44:21 EDT
It'd appear that the latest emacs does not build on RHL62 (didn't test
RHL7, but
I think it works).

There are two issues:
 - src/s/gnu-linux.h adds '-lgcc' which doesn't seem to exist with gcc
 - if you remove those it will fail at:

./temacs -batch -l loadup dump
make[1]: ./temacs: Command not found
make[1]: *** [emacs] Error 127
make[1]: Leaving directory
make: *** [src] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.31129 (%build)

Please note that ./temacs is there and is executable; it seems to be just
in a 
really weird format as it can't be run.

Hopefully this can be fixed as there are some nice features in latest
builds I'd like to
backport to RHL62 (and also, be able to use the same site-start.el).
Comment 1 Trond Eivind Glomsrxd 2001-04-12 15:00:17 EDT
We don't support building 7.1 RPMs on a 6.2 system. As for -lgcc, that's not
something we add manually and it hasn't changed since we built the last errata
rpms for 6.2 - temacs is a temporary emacs, that it doesn't run is a symptom of
something else.
Comment 2 Pekka Savola 2001-04-12 18:20:47 EDT
Ok I got this working now.

Just if you're curious, Jakub's patch:

* Sat Jan 27 2001 Jakub Jelinek <jakub@redhat.com>
- Preprocess Makefiles as if they were assembly, not C source.

broke the build on RHL62.

Also just if you're curious, /usr/share/pixmaps/emacs.png 
conflicts with RHL62 gnome-core.
Comment 3 kenneth_porter 2001-10-17 16:07:09 EDT
Additionally, for emacs-20.7-42, need:

Conflicts: gettext < 0.10.40

because po-mode.el moved from the gettext package to the emacs-el package.

Note You need to log in before you can comment on or make changes to this bug.